Jump to: navigation, search

Prerequisites

Hardware Requirements

See Sizing for details.

OS Requirements

Genesys Supported Operating Environment Reference Guide

Browser Support

Web Browsers

  • Google Chrome
  • Mozilla Firefox 9.0+
  • Microsoft Internet Explorer 8+
  • Apple Safari 5.1+

Mobile Browsers

  • iOS Safari
  • Android Chrome

Known Limitations

The Playground application included in the Genesys Web Engagement solution only supports Internet Explorer 9.0+.

Java Requirements

Java version 1.6.0_38 or higher.

Genesys Environment

In addition to having a Genesys Management Framework environment installed and running, the following table lists the mandatory Genesys components that are used with a Genesys Web Engagement installation.

Mandatory Components

Component Name Minimum Compliant Version
Orchestration Server 8.1.300.39
Stat Server 8.1.000.23
Interaction Server 8.5.100.18
Chat Server 8.1.001.41
Genesys Rules Authoring Server 8.5.000.11
Configuration Server (for UTF-8 support) 8.1.200.04
Configuration Server DB (for UTF-8 support) 8.1.200.04

Components for Application Development

The following components are mandatory to create customized Genesys Web Engagement applications:

Component Name Minimum Compliant Version Details
Genesys Rules Authoring Tool 8.5.000.11 You must create a user with Roles Privileges that enable the creation of Rules package in Genesys Rules Authoring. See Role-Based Access Control in the Genesys Rules System Deployment Guide.
Genesys Rules Development Tool 8.1.400.02 This component must be deployed as Composer plug-in or independently in Eclipse; make sure that settings are correct for Configuration Server and Repository Server, as detailed in Installing the GRDT Component in the Genesys Rules System Deployment Guide.
Composer 8.1.300.89 Mandatory to publish the Web Engagement rules template. This component can also be used to update or deploy routing and engagement strategies.
Genesys Administrator Extension 8.1.400.58 Mandatory for the Simple Engagement model.
Genesys Administrator 8.1.300.02 Mandatory.

Components for Interaction Management

Component Name Minimum Compliant Version
Interaction Workspace (If you use the GWE plug-in for Interaction Workspace) 8.1.401.36
Workspace Desktop Edition (If you use the GWE plug-in for Workspace Desktop Edition) 8.5.000.55

Additional Components (Optional)

Component Name Minimum Compliant Version
CCPulse+ 8.0.000.36

Comment on this article:

blog comments powered by Disqus
This page was last modified on 14 July 2016, at 10:29.